Meziantou.Framework.Hashing namespace

Classes

NameDescription
Adler32Computes the Adler-32 checksum of RFC 1950: the checksum of zlib streams.
Argon2Computes the Argon2 memory-hard function (RFC 9106): Argon2d, Argon2i and Argon2id.
BcryptProvides helper methods to hash and verify passwords using BCrypt.
Blake2bComputes the BLAKE2b hash function (RFC 7693), with a digest of 1 to 64 bytes.
Crc32Computes the CRC-32 of ISO 3309 / ITU-T V.42 (CRC-32/ISO-HDLC): the CRC of zlib, gzip, ZIP, PNG and Ethernet (reflected polynomial 0xEDB88320, initial and final XOR 0xFFFFFFFF).
KangarooTwelveComputes the extendable-output functions KT128 and KT256 (KangarooTwelve, RFC 9861).
KmacComputes the message authentication codes KMAC128 and KMAC256 (NIST SP 800-185).
Sha3Computes the SHA-3 hash functions SHA3-224, SHA3-256, SHA3-384 and SHA3-512 (FIPS 202).
ShakeComputes the extendable-output functions SHAKE128 and SHAKE256 (FIPS 202), and cSHAKE128 and cSHAKE256 (NIST SP 800-185) when a function name or a customization string is given.
TurboShakeComputes the extendable-output functions TurboSHAKE128 and TurboSHAKE256 (RFC 9861).

Structs

NameDescription
BcryptHashInfoContains parsed information from a BCrypt hash string.

Enums

NameDescription
Argon2TypeThe variant of Argon2 (RFC 9106 section 3.1, the type y).
Argon2VersionThe version of Argon2 (RFC 9106 section 3.1, the version number v).
BcryptVersionRepresents supported BCrypt hash revisions.